import { PathQuery } from '../../models/common-lib.model';
/**
 * Injectable Http Options Service
 */
export declare class ApiPathService {
    /**
     * @description creates an instance of APIPathGenerationLibrary
     */
    constructor();
    private PATH_BASE;
    private PATH_DIVIDER;
    private QUERY_SPECIFIER;
    private QUERY_DIVIDER;
    private QUERY_ASSIGNER;
    /**
     * @description validating QueryParam.
     * @param pathQuery as an argument of type PathQuery.
     * @return constructed PathQuery Object.
     */
    private modifyPathQuery;
    /**
     * @description createApiPath is a constructing method.
     * @param pathComponent contains an array of string.
     * @returns returns constructed api path url.
     */
    createApiPath(pathComponent: string[]): string;
    /**
     * @description Returns router parameterized path.
     * @param apiPathParams contains partial url.
     * @param pathQuery contains parameters to be passed as query parameters.
     * @returns returns generated routed paramerized path.
     */
    createApiPathWithQuery(apiPathParams: string[], pathQuery: PathQuery): string;
}
