import { HttpOptions, NgxHttpOptions } from '../../models/http-options.model';
/**
 * Injectable Http Options Service
 */
export declare class HttpOptionsService {
    /**
     * @description Creates an instance of http options service.
     */
    constructor();
    /**
     * @description appendHttpParams is a common method.
     * @param httpParam contains an object of NgxHttpParams.
     * @returns returns constructed httpParameters of type HttpParam
     */
    private appendHttpParams;
    /**
     * @description appendHttpHeaders is a common method.
     * @param headers contains an object of NgxHttpHeaders.
     * @returns returns constructed httpParameters of type HttpParam
     */
    private appendHttpHeaders;
    /**
     * @description provides the http options.
     * @param httpOptionsParameters contains params of type NgxHttpOptions.
     * @returns returns appendd http options.
     */
    appendHttpOptions(httpOptionsParameters: NgxHttpOptions): HttpOptions;
}
